function towrite = displayQuadGaborTemplate(templateSize,Mx,My,Mi,Mm)


sx = templateSize(1); sy = templateSize(2);

scale = .7;  % scale of Gabors
norient = 16;  % number of orientations
[allfilter, allsymbol] = makefilter(scale, norient);  % generate Gabor filters 
h = floor(size(allfilter{1},1)/2);
ax = h;
sym = zeros(sx,sy);
nF = length(Mx);
for k = 1:nF
    ori = Mi(k) + 1;
    col = My(k);
    row = Mx(k);
    
    small_symbol = allsymbol{ori};

    paved_symbol = zeros( size(small_symbol)*2 + 1 );
    paved_symbol(1:2*h+1,1:2*h+1) = small_symbol;
    paved_symbol(2*h+1+(1:2*h+1),1:2*h+1) = small_symbol;
    paved_symbol(1:2*h+1,2*h+1+(1:2*h+1)) = small_symbol;
    paved_symbol(2*h+1+(1:2*h+1),2*h+1+(1:2*h+1)) = small_symbol;
    paved_symbol = imresize(paved_symbol,[ax+2*h+1 ax+2*h+1]);
    
    sym = drawSymbol( sym, paved_symbol, row, col, Mm(k)^3 );
end
towrite = -sym;
towrite = uint8(255 * (towrite-min(towrite(:)))/(max(towrite(:))-min(towrite(:))));

