M1LocalNorm = feature.convert2float(M1LocalNorm,RANGE);
Lrange = feature.getGaborLocationShiftLimit;

%{
Lrange = 5; Orange = 1; subsampleM1 = 1;
S1LocalNorm = feature.convert2float(S1LocalNorm,RANGE);
[M1LocalNorm ARGMAX1LocalNorm M1RowShift M1ColShift M1OriShifted] = ...
	feature.mexc_ComputeMAX1( 16, S1LocalNorm, Lrange,...
		Orange, subsampleM1 );
%}


Upperbound = 4;
feature.mexc_Sigmoid(Upperbound,M1LocalNorm);
nOri = length(M1LocalNorm);

% inscribe if needed
if size(M1LocalNorm{1},1) ~= windowSize || size(M1LocalNorm{1},2) ~= windowSize
    for o = 1:nOri
        M1LocalNorm{o} = single( util.inscribe( [windowSize, windowSize], M1LocalNorm{o}, 0 ) );
		ARGMAX1LocalNorm{o} = single( util.inscribe( [windowSize, windowSize], ARGMAX1LocalNorm{o}, 0 ) );
    end
end


% nomralization (worse result)
% M1Map = sqrt(M1Map);
% M1Map = exp(M1Map);
% sumMap = sum(M1Map,3) + 1e-10;
% M1Map = M1Map ./ repmat(sumMap,[1,1,size(M1Map,3)]);


feavec = cell(nT,1);
for iT = 1:nT
	feavec{iT} = model.ActiveBasisMS.mexc_ExtractFeatureVec( M1LocalNorm,...
		single(allSelectedx{iT}), single(allSelectedy{iT}),...
		single(allSelectedOrient{iT}), numElement, numElement, nOri );
	feavec{iT} = feavec{iT} / Upperbound;
	
	%{
	dx = zeros(1,numElement);
	for k = 1:numElement
		ind = ARGMAX1LocalNorm{allSelectedOrient{iT}(k)+1}(allSelectedx{iT}(k),allSelectedy{iT}(k));
		dx(k) = double(M1RowShift{allSelectedOrient{iT}(k)+1}(ind+1)) / Lrange;
	end
	
	feavec{iT} = [feavec{iT}(:)',dx];
	
	if iT == 1
		%keyboard;
	end
	%}
end

%{
for iT = 1:nT
	feavec{iT} = zeros(1,numElement);
	for k = 1:numElement
		feavec{iT}(k) = M1LocalNorm{allSelectedOrient{iT}(k)+1}(allSelectedx{iT}(k),allSelectedy{iT}(k));
	end
end
%}


