function evaluate(LearningMethod)

modelName = 'HIT';
in_file = sprintf('Result/%s/testing_scores_%s.mat',modelName,LearningMethod);
load(in_file);
gt = [ones(length(pos_score),1);-1*ones(length(neg_score),1)];
scores = [pos_score;neg_score];
[ap prec rec] = evaluation.getAP(gt,scores);
[auc tp fp] = evaluation.getAUC(gt,scores);		
out_file = sprintf('Result/%s/eval_%s.mat',modelName,LearningMethod);
save(out_file,'ap','prec','rec','auc','tp','fp');


