Lrange = feature.getGaborLocationShiftLimit;

%{
Lrange = 5; Orange = 1; subsampleM1 = 1;
S1LocalNorm = feature.convert2float(S1LocalNorm,RANGE);
[M1LocalNorm ARGMAX1LocalNorm M1RowShift M1ColShift M1OriShifted] = ...
	feature.mexc_ComputeMAX1( 16, S1LocalNorm, Lrange,...
		Orange, subsampleM1 );
%}
nOri = length(M1LocalNorm);

S1LocalNorm = feature.convert2float(S1LocalNorm,RANGE);
M1LocalNorm = feature.convert2float(M1LocalNorm,RANGE);

S1_tex = S1LocalNorm;
for j = 1:numel(S1_tex)
	S1_tex{j} = 0 + S1_tex{j};
end

% Upperbound_tex = HIT_texture.Upperbound;
Upperbound_tex = Upperbound;

% note: to accelerate, one can also use a simple thresholding
%{
feature.mexc_Sigmoid(Upperbound,S1LocalNorm);
feature.mexc_Sigmoid(Upperbound,M1LocalNorm);
feature.mexc_Sigmoid(Upperbound_tex,S1_tex);
%}

for j = 1:numel(S1LocalNorm)
	S1LocalNorm{j} = min(Upperbound,S1LocalNorm{j});
	M1LocalNorm{j} = min(Upperbound,M1LocalNorm{j});
	S1_tex{j} = min(Upperbound_tex,S1_tex{j});
end

S1LocalMeanOverOri = zeros(windowSize,'single');
% inscribe if needed
if size(M1LocalNorm{1},1) ~= windowSize(1) || size(M1LocalNorm{1},2) ~= windowSize(2)
	disp('inscribed');
	for o = 1:nOri
		S1LocalNorm{o} = single( util.inscribe( [windowSize], S1LocalNorm{o}, 0 ) );
		M1LocalNorm{o} = single( util.inscribe( [windowSize], M1LocalNorm{o}, 0 ) );
		S1_tex{o} = single( util.inscribe( [windowSize], S1_tex{o}, 0 ) );
	end
end
ax = HIT_flatness.radius;

% for speed, we can pool over M1LocalNorm to get S1LocalMeanOverOri
for o = 1:nOri
	% localAveFilter = ones(ax*2+1,ax*2+1,'single')/single(ax*2+1)/single(ax*2+1);
	% S1LocalMeanOverOri = S1LocalMeanOverOri + 1/nOri * filter2(localAveFilter,S1LocalNorm{o},'same');
	S1LocalMeanOverOri = S1LocalMeanOverOri + 1/nOri * M1LocalNorm{o};
end
S1LocalMeanOverOri = S1LocalMeanOverOri / 10;


% nomralization (worse result)
% M1Map = sqrt(M1Map);
% M1Map = exp(M1Map);
% sumMap = sum(M1Map,3) + 1e-10;
% M1Map = M1Map ./ repmat(sumMap,[1,1,size(M1Map,3)]);

for j = 1:numel(M1LocalNorm)
	M1LocalNorm{j} = M1LocalNorm{j} / Upperbound;
end


hsv = single( rgb2hsv( patch ) );
hsv(:,:,3) = hsv(:,:,3) / 255;
hsvMap = cell( 1, 3);
for c = 1:3
	hsvMap{c} = hsv(:,:,c);
end

[feavec nF_HIT nF_sketch nF_texture nF_flatness nF_color] = model.HIT.mexc_ExtractFeatureVec( nOri, S1_tex, M1LocalNorm, S1LocalMeanOverOri, hsvMap, ...
		HIT_sketch, HIT_texture, HIT_flatness, HIT_color, 0 );



